MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Member Functions
NfsManager Class Referencefinal

A manager for NFS connections. More...

`#include <Manager.hxx>`

Inheritance diagram for NfsManager:
[legend]
Collaboration diagram for NfsManager:
[legend]

## Public Member Functions
| NfsManager (EventLoop &_loop)
| ~NfsManager ()
| Must be run from EventLoop's thread. More...
gcc_pure NfsConnection & | GetConnection (const char *server, const char *export_name)

## Detailed Description

A manager for NFS connections.

Handles multiple connections to multiple NFS servers.

Definition at line 35 of file Manager.hxx.

## Constructor & Destructor Documentation

NfsManager::NfsManager | ( | EventLoop & | _loop | ) |
| inline

Definition at line 92 of file Manager.hxx.

NfsManager::~NfsManager | ( |  | ) |

Must be run from EventLoop's thread.

## Member Function Documentation

gcc_pure NfsConnection& NfsManager::GetConnection | ( | const char * | server,
|  | const char * | export_name
| ) |  |

The documentation for this class was generated from the following file:

- lib/nfs/Manager.hxx